Mantis Bug Tracker

View Issue Details Jump to Notes ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000396LoaderUser Interfacepublic2011-11-16 12:382012-08-28 23:29
ReporterFred 
Assigned Tosean94z 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionreopened 
PlatformAllOSAllOS VersionAll
Product Version0.1.0-SNAPSHOT 
Target Version0.1.0Fixed in Version 
Summary0000396: Bar graph stays half way across after abort!
DescriptionAlso, I figured out the open file thing.

you press open file
you select a file
it still says open file, but you've done that

it should change to change file or close file which would then change it to open file.
TagsNo tags attached.
Issue TypeBug
Risk of Breakagemedium
Attached Files

- Relationships

-  Notes
User avatar (0001921)
sean94z (reporter)
2012-08-27 20:31

Should be fixed as of:
commit 2cfe8bb81931a5e5359717c131a6d9133ef3826c
Author: Sean Keys <skeys@ipdatasys.com>
Date: Mon Aug 27 13:26:15 2012 -0700

    [0000396] Aborting now resets the progress bar.
User avatar (0001923)
sean94z (reporter)
2012-08-27 20:43

Please verify :)
User avatar (0001931)
Fred (administrator)
2012-08-27 21:47

Didn't work in my testing, test more thoroughly, please.
User avatar (0001937)
sean94z (reporter)
2012-08-27 22:08

Sorry I think it's properly fixed now. I did test it, the app lied to me :)

Please Review:

commit 2c292219265e6c62e53de7690b00f95577c4fd94
Author: Sean Keys <skeys@ipdatasys.com>
Date: Mon Aug 27 15:05:23 2012 -0700

    [0000396] Abort now waits until the thread has terminated before setting the state of the
User avatar (0001938)
Fred (administrator)
2012-08-27 22:11

I'm being vague on purpose to make you think, still borked. Think about all possible cases, not just the obvious one.
User avatar (0001939)
sean94z (reporter)
2012-08-27 22:13

Will do, I yanked the usb cord from it too and it reset to zero(after about 3 seconds of spew). Let me think some more :)
User avatar (0001951)
Fred (administrator)
2012-08-28 22:07

OK, I want it fixed. I abort during the erase and it doesn't recover. Worse, it just locked up because i tried to do something after an abort. Shit's still very wacky and inconsistent in the loader. Another unrelated issue is that the UI is unresponsive during connect, and who knows what else.
User avatar (0001952)
sean94z (reporter)
2012-08-28 23:29

I'll fire up the debugger for the issue where it won't recover. Clicking connect doesn't spawn another thread, that's an easy fix.


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker